Pauses a running or pending-approval schedule. The schedule can be
resumed from the same position with the /actions/resume endpoint.
curl -X POST https://api.growthbook.io/api/v1/ramp-schedules/rs_abc123/actions/pause \
-u secret_abc123DEF456:{
"rampSchedule": {
"id": "<string>",
"organization": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"name": "<string>",
"entityType": "feature",
"entityId": "<string>",
"targets": [
{
"id": "<string>",
"entityType": "feature",
"entityId": "<string>",
"status": "pending-join",
"ruleId": "<string>",
"environment": "<string>",
"activatingRevisionVersion": 123
}
],
"steps": [
{
"trigger": {
"type": "interval",
"seconds": 123,
"at": "2023-11-07T05:31:56Z"
},
"actions": [
{
"targetType": "feature-rule",
"targetId": "<string>",
"patch": {
"ruleId": "<string>",
"coverage": 0.5,
"condition": "<string>",
"force": "<unknown>"
}
}
],
"approvalNotes": "<string>"
}
],
"status": "pending",
"currentStepIndex": 0,
"nextStepAt": "2023-11-07T05:31:56Z",
"endActions": [
{
"targetType": "feature-rule",
"targetId": "<string>",
"patch": {
"ruleId": "<string>",
"coverage": 0.5,
"condition": "<string>",
"force": "<unknown>"
}
}
],
"startDate": "2023-11-07T05:31:56Z",
"endCondition": {
"trigger": {
"type": "scheduled",
"at": "2023-11-07T05:31:56Z"
}
},
"startedAt": "2023-11-07T05:31:56Z",
"phaseStartedAt": "2023-11-07T05:31:56Z",
"pausedAt": "2023-11-07T05:31:56Z",
"elapsedMs": 123
}
}Documentation Index
Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"The id of the requested resource
Success
Show child attributes
curl -X POST https://api.growthbook.io/api/v1/ramp-schedules/rs_abc123/actions/pause \
-u secret_abc123DEF456:{
"rampSchedule": {
"id": "<string>",
"organization": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"name": "<string>",
"entityType": "feature",
"entityId": "<string>",
"targets": [
{
"id": "<string>",
"entityType": "feature",
"entityId": "<string>",
"status": "pending-join",
"ruleId": "<string>",
"environment": "<string>",
"activatingRevisionVersion": 123
}
],
"steps": [
{
"trigger": {
"type": "interval",
"seconds": 123,
"at": "2023-11-07T05:31:56Z"
},
"actions": [
{
"targetType": "feature-rule",
"targetId": "<string>",
"patch": {
"ruleId": "<string>",
"coverage": 0.5,
"condition": "<string>",
"force": "<unknown>"
}
}
],
"approvalNotes": "<string>"
}
],
"status": "pending",
"currentStepIndex": 0,
"nextStepAt": "2023-11-07T05:31:56Z",
"endActions": [
{
"targetType": "feature-rule",
"targetId": "<string>",
"patch": {
"ruleId": "<string>",
"coverage": 0.5,
"condition": "<string>",
"force": "<unknown>"
}
}
],
"startDate": "2023-11-07T05:31:56Z",
"endCondition": {
"trigger": {
"type": "scheduled",
"at": "2023-11-07T05:31:56Z"
}
},
"startedAt": "2023-11-07T05:31:56Z",
"phaseStartedAt": "2023-11-07T05:31:56Z",
"pausedAt": "2023-11-07T05:31:56Z",
"elapsedMs": 123
}
}